Bug 139996 - CRASH: using CTRL + SHIFT + Up in the slidesorter when no slide is selected
Summary: CRASH: using CTRL + SHIFT + Up in the slidesorter when no slide is selected
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:7.2.0 target:7.1.1 target:7.0.5
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-29 11:40 UTC by Xisco Faulí
Modified: 2021-02-01 22:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["SdDrawDocument::MovePages(unsigned%20short)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-01-29 11:40:52 UTC
Steps to reproduce:
1. Open Impress
2. Click on the slidesorter
3. Use CTRL + SHIFT + UP

-> Crash

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: f2389a70da606768a39ee599de6a5b24058734aa
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: zh-TW (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Commit Notification 2021-01-29 20:11:00 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3e1a46699e3b0868e2748f28e244b4d7de4fe775

tdf#139996: do not crash if no slide is selected

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2021-01-30 19:18:16 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d71f7138d664b62604a4e4e7fc6e1b1073df1899

tdf#139996: do not crash if no slide is selected

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-01-31 16:57:35 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/54fc2ecba16d1dbf8183860289bb3ad61052c323

tdf#139996: do not crash if no slide is selected

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-02-01 22:33:14 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/58814d047be09d6bd31da5dfd0efe3bae593c4d5

tdf#139996: sd_uiimpress: Add unittest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.